Skip to content

database_api.get_version ​

since HF20

Purpose ​

Returns the compile time versions of blockchain, steem, FC. Also returns the boot time version of the chain id (may be different from compile time value only when looking at a testnet)

Parameters ​

PARAMETERS
json
{}

Example ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.get_version",
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "blockchain_version": "",
  "steem_revision": "",
  "fc_revision": "",
  "chain_id": "0000000000000000000000000000000000000000000000000000000000000000"
}